Erinevus lehekülje "Nõuded OracleXE 18C paigaldamiseks" redaktsioonide vahel

Allikas: Teadmusbaas
1. rida: 1. rida:
 
Fail REQUIRES sisaldab vajalikke pakketide koetelu (Oracle Linux):
 
Fail REQUIRES sisaldab vajalikke pakketide koetelu (Oracle Linux):
 +
 +
Kõiki selles loetelus toodud faile ei saa Debian 9.8 paigaldada, näiteks glibc on ebaturvaline ja seda paketti enam ei toetata aga kõik millised sellest loetelust õnnestus paigaldada tagasid eduka paigalduse.
 +
 
*/bin/bash   
 
*/bin/bash   
 
*/bin/sh   
 
*/bin/sh   
37. rida: 40. rida:
 
*rpmlib(PayloadIsXz) <= 5.2-1
 
*rpmlib(PayloadIsXz) <= 5.2-1
  
[https://www.youtube.com/watch?v=RcZLD2l6WTw FATAL DBT-50000 veateate lahendus]
+
[https://www.youtube.com/watch?v=RcZLD2l6WTw FATAL DBT-50000 veateate lahenduse video], muudetud tulemust on näha allpool
  
Tulemuseks peaks olema:
 
 
<code>$SU -s /bin/bash  $ORACLE_OWNER -c "(echo '$ORACLE_PASSWORD'; echo '$ORACLE_PASSWORD'; echo '$ORACLE_PASSWORD') | $DBCA -silent -createDatabase -gdbName $ORACLE_SID -templateName $TEMPLATE_NAME -characterSet $CHARSET -createAsContainerDatabase $CREATE_AS_CDB -numberOfPDBs $NUMBER_OF_PDBS -pdbName $PDB_NAME -sid $ORACLE_SID -emConfiguration DBEXPRESS -emExpressPort $EM_EXPRESS_PORT -J-Doracle.assistants.dbca.validate.DBCredentials=false -J-Doracle.assistants.dbca.validate.ConfigurationParams=false -sampleSchema true $SQLSCRIPT_CONSTRUCT $DBFILE_CONSTRUCT $MEMORY_CONSTRUCT" </code>
 
<code>$SU -s /bin/bash  $ORACLE_OWNER -c "(echo '$ORACLE_PASSWORD'; echo '$ORACLE_PASSWORD'; echo '$ORACLE_PASSWORD') | $DBCA -silent -createDatabase -gdbName $ORACLE_SID -templateName $TEMPLATE_NAME -characterSet $CHARSET -createAsContainerDatabase $CREATE_AS_CDB -numberOfPDBs $NUMBER_OF_PDBS -pdbName $PDB_NAME -sid $ORACLE_SID -emConfiguration DBEXPRESS -emExpressPort $EM_EXPRESS_PORT -J-Doracle.assistants.dbca.validate.DBCredentials=false -J-Doracle.assistants.dbca.validate.ConfigurationParams=false -sampleSchema true $SQLSCRIPT_CONSTRUCT $DBFILE_CONSTRUCT $MEMORY_CONSTRUCT" </code>

Redaktsioon: 5. juuni 2019, kell 07:33

Fail REQUIRES sisaldab vajalikke pakketide koetelu (Oracle Linux):

Kõiki selles loetelus toodud faile ei saa Debian 9.8 paigaldada, näiteks glibc on ebaturvaline ja seda paketti enam ei toetata aga kõik millised sellest loetelust õnnestus paigaldada tagasid eduka paigalduse.

  • /bin/bash
  • /bin/sh
  • /etc/redhat-release
  • bc
  • bind-utils
  • binutils
  • compat-libcap1
  • compat-libstdc++-33
  • ethtool
  • glibc
  • glibc-devel
  • initscripts
  • ksh
  • libaio
  • libaio-devel
  • libgcc
  • libstdc++
  • libstdc++-devel
  • make
  • module-init-tools
  • net-tools
  • nfs-utils
  • openssh-clients
  • pam
  • procps
  • psmisc
  • rpmlib(CompressedFileNames) <= 3.0.4-1
  • rpmlib(FileDigests) <= 4.6.0-1
  • rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  • smartmontools
  • sysstat
  • unzip
  • util-linux-ng
  • xorg-x11-utils
  • xorg-x11-xauth
  • rpmlib(PayloadIsXz) <= 5.2-1

FATAL DBT-50000 veateate lahenduse video, muudetud tulemust on näha allpool

$SU -s /bin/bash $ORACLE_OWNER -c "(echo '$ORACLE_PASSWORD'; echo '$ORACLE_PASSWORD'; echo '$ORACLE_PASSWORD') | $DBCA -silent -createDatabase -gdbName $ORACLE_SID -templateName $TEMPLATE_NAME -characterSet $CHARSET -createAsContainerDatabase $CREATE_AS_CDB -numberOfPDBs $NUMBER_OF_PDBS -pdbName $PDB_NAME -sid $ORACLE_SID -emConfiguration DBEXPRESS -emExpressPort $EM_EXPRESS_PORT -J-Doracle.assistants.dbca.validate.DBCredentials=false -J-Doracle.assistants.dbca.validate.ConfigurationParams=false -sampleSchema true $SQLSCRIPT_CONSTRUCT $DBFILE_CONSTRUCT $MEMORY_CONSTRUCT"